C
C
C     厚生年金保険財政計算システムメインプログラム
C                 (2019年財政検証)
C
C
C
      PROGRAM       MAIN
C
      IMPLICIT INTEGER(A-Z)
      INCLUDE 'seps.inc'
C
      WRITE(6,*) '試算番号を設定して下さい(整数：４桁)'
      READ(5,8400) INAME
C
      WRITE(6,*) '経済要素番号を設定して下さい(整数：４桁)'
      READ(5,8400) IECON
C
      WRITE(6,*) '外枠の試算番号を設定して下さい(整数：４桁)'
      READ(5,8500) IWNAME
C
      SEIDN=8
      SEIDVER=1
C
C------------------------------------------
C     制御値の入力
C------------------------------------------
      CALL CNTL
C
      DO 2000 PSEID=0,7
C
C------------------------------------------------------
C  制度(PSEID)別の推計  SEPSD
C    ０：現厚年          １：国共            ２：ＪＲ  
C    ３：ＪＴ            ４：地共            ５：私学  
C    ６：農林            ７：旧厚年&NTT                
C------------------------------------------------------
C
        IF(PSEID.EQ.0 .OR. PSEID.EQ.2 .OR. PSEID.EQ.3 .OR.
     &                                         PSEID.EQ.6) THEN
          KONEN=1
        ELSE
          KONEN=0
        END IF
C
        IF(
     &    (SEIDN.EQ.PSEID .AND. SEIDN.GE.1 .AND. SEIDN.LE.6) .OR.
     &    (SEIDN.EQ.0 .AND. KONEN.EQ.1) .OR.
     &    (SEIDN.EQ.8 .AND. PSEID.LE.6) .OR.
     &    (SEIDN.EQ.7 .AND. (KONEN.EQ.1 .OR. PSEID.EQ.7)) ) THEN
C
          IF(
     &       (SEIDN.EQ.0 .OR. SEIDN.EQ.8) .AND.
     &       (KONEN.EQ.1 .AND. PSEID.GT.0) ) THEN
            CYCLE
          END IF
C
          IF(PSEID.EQ.0) WRITE(6,*) '厚生年金'
          IF(PSEID.EQ.1) WRITE(6,*) '国家公務員共済組合'
          IF(PSEID.EQ.2) WRITE(6,*) 'ＪＲ'
          IF(PSEID.EQ.3) WRITE(6,*) 'ＪＴ'
          IF(PSEID.EQ.4) WRITE(6,*) '地方公務員共済組合'
          IF(PSEID.EQ.5) WRITE(6,*) '私立学校教職員共済制度'
          IF(PSEID.EQ.6) WRITE(6,*) '農林共済'
          IF(PSEID.EQ.7) WRITE(6,*) '厚生年金(H9統合前)&NTT'
C
          CALL SEPSD
C
        END IF
C
 2000 CONTINUE
C
C
 8200 FORMAT(I2)
 8300 FORMAT(I3)
 8400 FORMAT(I4)
 8500 FORMAT(I5)
C
C
      STOP
C
      END
C
